package cz.uhk.fim.denotevrenychdveri.fragments;


import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;

import java.util.Date;
import java.util.ArrayList;

import cz.uhk.fim.denotevrenychdveri.views.adapters.EventAdapter;
import cz.uhk.fim.denotevrenychdveri.R;
import cz.uhk.fim.denotevrenychdveri.models.Event;


/**
 * A simple {@link Fragment} subclass.
 */
public class MainEventFragment extends Fragment {


    public MainEventFragment() {
        // Required empty public constructor
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View rootView = inflater.inflate(R.layout.list_event, container, false);
        ArrayList<Event> events = new ArrayList<>();

        long start = 1452844800000L;
        long end = 1452859200000L;

        events.add(new Event(1, "Úvodní přednáška","popis",1,new Date(8099), new Date(start),new Date(end),"J1","2. podlaží FIM",true));
        events.add(new Event(1, "Management cestovního ruchu","popis",1,new Date(8099), new Date(start),new Date(end),"J3","2. podlazi FIM",true));
        events.add(new Event(1, "Informační management a Aplikovaná informatika","popis",1,new Date(start), new Date(end),new Date(1569),"J12","2. podlazi FIM",true));
        events.add(new Event(1, "Finanční management","popis",1,new Date(8099), new Date(start),new Date(end),"J13","2. podlazi FIM",true));


        EventAdapter eventAdapter = new EventAdapter(getActivity(),events);
        ListView mainEventslistView = (ListView) rootView.findViewById(R.id.main_event_list);
        mainEventslistView.setAdapter(eventAdapter);


        return rootView;
    }

}
