package cz.uhk.fim.denotevrenychdveri.fragments;


import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;

import java.sql.Date;
import java.sql.Time;
import java.util.ArrayList;

import cz.uhk.fim.denotevrenychdveri.views.adapters.EventAdapter;
import cz.uhk.fim.denotevrenychdveri.R;
import cz.uhk.fim.denotevrenychdveri.models.Event;


/**
 * A simple {@link Fragment} subclass.
 */
public class SpecialEventFragment extends Fragment {


    public SpecialEventFragment() {
        // Required empty public constructor
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View rootView = inflater.inflate(R.layout.list_event, container, false);
        ArrayList<Event> events = new ArrayList<>();

        events.add(new Event(1, "Fotosoutěž o přihlášku ke studiu","popis",1,new Date(8099), new Time(1452844800000L),new Time(1452859200000L),"relaxační zóna","1. podlazi FIM",false));
        events.add(new Event(1, "Ze života katerder - panelová prezentace","popis",1,new Date(8099), new Time(1452844800000L),new Time(1452859200000L),"prostor před J1","2. podlazi FIM",false));
        events.add(new Event(1, "Nebojte se podnikat","popis",1,new Date(8099), new Time(1452844800000L),new Time(1452859200000L),"J2","2. podlazi FIM",false));
        events.add(new Event(1, "Letem světem - panelová prezentace","popis",1,new Date(8099), new Time(1452844800000L),new Time(1452859200000L),"prostor mezi J3 a J6","2. podlazi FIM",false));
        events.add(new Event(1, "Jazykové a dalši kurzy Institutu dalšího vzdělání FIM","popis",1,new Date(8099), new Time(1452844800000L),new Time(1452859200000L),"J4","2. podlazi FIM",false));
        events.add(new Event(1, "FIMka světová","popis",1,new Date(8099), new Time(1452844800000L),new Time(1452859200000L),"J6","2. podlazi FIM",false));
        events.add(new Event(1, "Laboratoře počítačových sítí","popis",1,new Date(8099), new Time(1452844800000L),new Time(1452859200000L),"J5, J7","2. podlazi FIM",false));
        events.add(new Event(1, "Deskové hry","popis",1,new Date(8099), new Time(1452844800000L),new Time(1452859200000L),"prostor mezi J12 a J13","2. podlazi FIM",false));
        events.add(new Event(1, "Cloudy, minipočítače.. O moderních technologiích se studenty a absolventy fakulty","popis",1,new Date(8099), new Time(1452844800000L),new Time(1452855600000L),"J15","2. podlazi FIM",false));

        EventAdapter eventAdapter = new EventAdapter(getActivity(),events);
        ListView mainEventslistView = (ListView) rootView.findViewById(R.id.main_event_list);
        mainEventslistView.setAdapter(eventAdapter);


        return rootView;
    }

}
